/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOnigasm = void 0;
let onigasmLib = null;
function getOnigasm() {
    if (!onigasmLib) {
        const onigasmModule = require('onigasm');
        const onigasmIndexpath = require.resolve('onigasm');
        const fs = require('fs');
        const path = require('path');
        const wasmBin = fs.readFileSync(path.join(onigasmIndexpath, '../onigasm.wasm')).buffer;
        onigasmLib = onigasmModule.loadWASM(wasmBin).then((_) => {
            return {
                createOnigScanner(patterns) {
                    return new onigasmModule.OnigScanner(patterns);
                },
                createOnigString(s) {
                    return new onigasmModule.OnigString(s);
                }
            };
        });
    }
    return onigasmLib;
}
exports.getOnigasm = getOnigasm;
