import { IOnigLib, IRawGrammar, RegistryOptions } from 'vscode-textmate';
import { ILanguageRegistration } from './languages';
export declare class Resolver implements RegistryOptions {
    private readonly langMap;
    private readonly scopeToLangMap;
    private readonly _languages;
    private readonly _onigLibPromise;
    private readonly _onigLibName;
    constructor(languages: ILanguageRegistration[], onigLibPromise: Promise<IOnigLib>, onigLibName: string);
    getOnigLib(): Promise<IOnigLib>;
    getOnigLibName(): string;
    getLangRegistration(langIdOrAlias: string): ILanguageRegistration;
    loadGrammar(scopeName: string): Promise<IRawGrammar>;
}
